HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/qos/{QoS.name}/queues/{Queue.queue_number}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Reference Resource: QoS
There must be a user-defined name of the schedule profile.

string
required

Reference Resource: Queue
Schedule parameters for individual queues. Queues are numbered in priority order, with zero being the lowest priority. The maximum number of queues is hardware dependent.

Body Params
integer
required

Reference Resource: Queue
Schedule parameters for individual queues. Queues are numbered in priority order, with zero being the lowest priority. The maximum number of queues is hardware dependent.

string
enum

Units of the egress queue bandwidth: kbps: kilobits per second. percent - the units are in percentage of port speed.

Allowed:
integer
1 to 100000000

The bandwidth limit to apply to egress queue traffic. If no bandwidth value is applied, the bandwidth will not be limited per queue. If the algorithm configured on this queue does not support a bandwidth limit, this value will be ignored. Bandwidth limits to configure per-queue shaping are supported on queues which use the following algorithms: - Strict - Min-Bandwidth Configuration can be validated by referring to [egress_shape_hw_rate] (Port.rate_limits_status.egress_shape_hw_rate).

string
enum

This parameter selects the scheduling behavior of the queue: * strict - Strict Priority will service all packets in the queue before any packets in lower numbered queues as long as there are no packets in any higher number queue. dwrr - Deficit Weighted Round Robin will apportion available bandwidth among all non-empty dwrr queues in relation to their queue weights. min-bandwidth - Guaranteed Minimum Bandwidth will apportion available bandwidth among all non-empty gmb queues in relation to their queue weights. If this parameter is missing, it is assumed to be 'strict'.

Allowed:
integer
1 to 1023

The weight value for this DWRR queue.

integer
0 to 100

The minimum bandwidth as a percentage of line rate when the 'type' column is set to 'min-bandwidth'.

Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!